%define	name	partimage 
%define release	%mkrel 1
%define	version	0.6.9

%define jail 0
%{?_with_jail: %{expand: %%global jail 1}}

Summary: 	Partition Image
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Archiving/Backup
Source: 	%{name}-%{version}.tar.xz
Source1:	partimage.1
Source2:	partimaged.8
Source3:	partimagedusers.5
Source4:	genCertificate
Source5:	partimaged-init.d
Patch3: 	partimage-0.6.7-ssl-certs-policy.patch
Patch13:	partimage-0.6.7-splash.patch
Patch14:	partimage-0.6.9-fedora-gzfile.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	automake1.8
BuildRequires:	bzip2-devel
BuildRequires:	newt-devel
BuildRequires:	openssl
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
Requires:	openssl > 0.9.6
URL: 		http://www.partimage.org/
Requires:   	glibc >= 2.16
Requires:   	libstdc++6 >= 4.7.2
Obsoletes: 	%name < %version



%description
- Partition Image is a Linux/UNIX partition imaging utility: it saves
partitions in the Ext2FS (the linux standard), ReiserFS (a new 
journalized and powerful file system), NTFS (Windows NT File System)
or FAT16/32 (DOS & Windows file systems), file system formats to an 
image file. Only used blocks are copied. The image file can be 
compressed in the GZIP/BZIP2 formats to save disk space, and splitted 
into multiple files to be copied on amovibles floppies (ZIP for example),
or burned on a CD-R ...
- This allows to save a full Linux/Windows system, with an only 
operation. When problems (viruses, crash, error, ...), you just have to 
restore, and after several minutes, all your system is restored (boot, 
files, ...), and fully working.
- This is very useful when installing the same software on many 
machines: just install one of them, creat|e an image, and just restore 
the image on all other machines. Then, after the first one, each 
installation is automatically made, and only require a few minutes.

#german
%description -l de
Partimage ist eine freie graphische Benutzeroberfläche, um Speicherabbilder (englisch Images) 
von Festplattenpartitionen in eine Abbilddatei (Image-Datei) zu sichern oder daraus wiederherzustellen. 
Partimage steht unter der GNU General Public License. Über alle Versionen summiert wurde es schon 
über 400.000 Mal von dem offiziellen Server heruntergeladen[1], dazu gehört es zum Standard-Umfang 
praktisch jeder Linux-Distribution.

Partimage bietet die Möglichkeit, Partitionen über ein Netzwerk (LAN) auf andere Rechner zu sichern 
oder von entfernten Rechnern wiederherzustellen, sofern dort ein part imaged-Server vorhanden ist. 
Zu sichernde Abbilder von Partitionen können entweder direkt oder durch verschiedenste Verfahren 
komprimiert gesichert werden. Partimage teilt Abbilddateien standardmäßig in Dateien kleiner als 2 GB 
auf, da diverse ältere Dateisysteme wie FAT16 keine Dateien größer als 2 GB ermöglichen, diese 
Einstellung lässt sich jedoch, etwa für CD-R (650 oder 700MB) oder für modernere Dateisysteme mit 
höheren Grenzen ändern. Partimage verfügt zudem über eine Fortschrittsanzeige, die alle diesbezüglichen 
für Benutzer relevanten Daten anzeigt, so zum Beispiel die Größe der zu sichernden Imagedatei, den zur 
Verfügung stehender Speicherplatz auf dem Zielmedium oder die verstrichene und verbleibende Zeit.

%prep
%setup -q
%apply_patches


for i in %{_datadir}/automake-1.*/mkinstalldirs; do cp -f $i .; done

%build
cp %{_datadir}/gettext/config.rpath .
autoreconf 
%configure2_5x
%make


%install
rm -rf  $RPM_BUILD_ROOT
%makeinstall

rm -rf %{buildroot}%{_infodir}/*

install -m644 %{SOURCE1} -D %{buildroot}%{_mandir}/man1/partimage.1
install -m644 %{SOURCE2} -D %{buildroot}%{_mandir}/man8/partimaged.8
install -m644 %{SOURCE3} -D %{buildroot}%{_mandir}/man5/partimagedusers.5
install -m644 %{SOURCE4} -D %{buildroot}%{_sysconfdir}/sysconfig/partimaged
install -m755 %{SOURCE5} -D %{buildroot}%{_initrddir}/partimaged


%find_lang %{name}

%pre
/usr/sbin/groupadd -r -f partimag > /dev/null 2>&1 ||:
/usr/sbin/useradd -g partimag -d /home/partimag -r -s /bin/bash partimag > /dev/null 2>&1 ||:

%post
%_post_service partimaged
echo "You can ignore these service warnings"

%preun
%_preun_service partimaged

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc BUGS AUTHORS ABOUT-NLS COPYING ChangeLog
%doc FORMAT README README.partimaged
%doc THANKS
%{_sbindir}/*
%{_sysconfdir}/sysconfig/partimaged
%{_initrddir}/partimaged
%attr(0600,partimag,partimag) %config(noreplace) %{_sysconfdir}/partimaged/partimagedusers
%{_mandir}/man1/partimage.1*
%{_mandir}/man5/partimagedusers.5*
%{_mandir}/man8/partimaged.8*
%{_datadir}/doc/partimage


%changelog
* Fri May 24 2013 Texstar <texstar at gmail.com> 0.6.9-1pclos2013
- update

* Sat Nov 14 2009 Texstar <texstar at gmail.com> 0.6.8-1pclos2010
- 0.6.8

* Wed Nov 11 2009 slick50 <lxgator@gmail.com> 0.6.7-1pclos2010
-  0.6.7
-  remove obsolete menu entry (tex)

* Sun Nov 05 2006 Neverstopdreaming <neverstopdreaming@gmail.com> 0.6.4-12pclos2007
- Build for PCLinuxOS 2007

